> For the complete documentation index, see [llms.txt](https://docs.sonarsource.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sonarsource.com/sonarqube-server/2025.6/server-update-and-maintenance/data-center-edition/monitoring.md).

# Monitoring

Monitoring your Data Center Edition in SonarQube Server 2025.6.

CPU and RAM usage on each node have to be monitored separately with an APM.

In addition, we provide a Web API `api/system/health` you can use to validate that all of the nodes in your cluster are operational.

* GREEN: SonarQube Server is fully operational
* YELLOW: SonarQube Server is usable, but it needs attention in order to be fully operational
* RED: SonarQube Server is not operational

To call it from a monitoring system without having to give admin credentials, it is possible to setup a system passcode. You can configure this through the `sonar.web.systemPasscode` property in `<sonarqubeHome>/conf/sonar.properties` if you’re using a traditional environment or through the corresponding environment variable if you’re using a Docker environment.

## Checking the cluster status in the UI <a href="#cluster-status" id="cluster-status"></a>

On the System Info page at **Administration > System**, you can check whether your cluster is running safely (green) or has some nodes with problems (orange or red).

## Monitoring pending tasks <a href="#pending-tasks" id="pending-tasks"></a>

On the global Background Tasks page at **Administration > Projects > Background Tasks**, you can see the number of **pending** tasks as well as the maximum **pending time** for the tasks in the queue. This shows the pending time of the oldest background task waiting to be processed. You can use this to evaluate if it might be worth configuring additional Compute Engine workers (Enterprise Edition) or additional nodes (Data Center Edition) to improve SonarQube Server performance.

## Related pages <a href="#related-pages" id="related-pages"></a>

* [Setting up monitoring](/sonarqube-server/2025.6/server-installation/on-kubernetes-or-openshift/set-up-monitoring.md)
* [DCE topology](/sonarqube-server/2025.6/server-installation/data-center-edition/dce-topology.md)
* [Starting and stopping cluster](/sonarqube-server/2025.6/server-installation/data-center-edition/starting-stopping-cluster.md)
* [Improving performance](/sonarqube-server/2025.6/server-update-and-maintenance/data-center-edition/improving-performance.md)
* [Scaling](/sonarqube-server/2025.6/server-update-and-maintenance/data-center-edition/scaling.md)
* [Updating](/sonarqube-server/2025.6/server-update-and-maintenance/data-center-edition/updating.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sonarsource.com/sonarqube-server/2025.6/server-update-and-maintenance/data-center-edition/monitoring.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
